Bug 90988 - sane-backends overwrites and installed snapscan.conf file
Summary: sane-backends overwrites and installed snapscan.conf file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-27 19:00 UTC by Torfinn Ingolfsen
Modified: 2006-02-19 22:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torfinn Ingolfsen 2005-12-27 19:00:16 UTC

When upgrading the sane-backends port, it will overwrite my /usr/local/etc/sane.d/snapscan.conf file, thus making
sure that my firmware load command is not there, and thus the scanner fails after upgrading sane-backends.
A bit annoying.

Fix: 

make the port check if the installed snapscan.conf is modified before overwriting it perhaps?
How-To-Repeat: 

1) have sane-backends installed
2) upgrade it (with portupgrade or something else)
Comment 1 Edwin Groothuis freebsd_committer 2006-01-07 06:56:55 UTC
State Changed
From-To: open->feedback

Can you see if you can make patches for this problem?
Comment 2 Marcus Alves Grando freebsd_committer 2006-02-19 02:30:30 UTC
State Changed
From-To: feedback->open

Feedback timeout and no fix available.
Comment 3 Torfinn Ingolfsen 2006-02-19 21:18:48 UTC
----- Forwarded message from Torfinn Ingolfsen <tingo@start.no> -----
Date: Sun, 19 Feb 2006 12:25:04 +0100 (CET)
From: Torfinn Ingolfsen <tingo@start.no>
Reply-To: Torfinn Ingolfsen <tingo@start.no>
Subject: Re: ports/90988: sane-backends overwrites and installed snapscan.conf file
To: Marcus Alves Grando <mnag@FreeBSD.org>

Quoting Marcus Alves Grando <mnag@FreeBSD.org>:

> Synopsis: sane-backends overwrites and installed snapscan.conf file
>
> State-Changed-From-To: feedback->open
> State-Changed-By: mnag
> State-Changed-When: Sun Feb 19 02:30:30 UTC 2006
> State-Changed-Why:
> Feedback timeout and no fix available.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr988
>

I have sent feeedback (but no fix). Unfortunately, it seems that the feedback
message didn't make it to GNATS for some reason.
Original message below:
Quoting Edwin Groothuis <edwin@FreeBSD.org>:

> Synopsis: sane-backends overwrites and installed snapscan.conf file
>
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Sat Jan 7 06:56:55 UTC 2006
> State-Changed-Why:
> Can you see if you can make patches for this problem?

I have been thinking about this problem for some days now.
Honestly, I don't know how to do this.
I understand the problem (ie. do not overwrite a configuration file if it has
been changed) but I do not know how to do that with ports. I have read the
porters handbook lightly, perhaps I need to read it more deeply again.
If my understanding is correct, the new snapscan.conf file should be copied as
snapscan.conf.sample (if a snapscan.conf file exist already), that part is
quite
easy.
What about the other configuration files? As far as I can tell, sane-backends
has a total of 58 configuration files that could possibly be edited by the
user.
Should a patch handle all of them?

Where can I find help from others with this question?
--
Torfinn Ingolfsen,
Norway


-------------------------------------------------------------------------
Start.no tilbyr nå raskere bredbånd til lavere pris.
Sjekk http://www.start.no/bredband/ for mer informasjon
Comment 4 Marcus Alves Grando freebsd_committer 2006-02-19 22:10:45 UTC
State Changed
From-To: open->closed

Fixed. Thanks.y